Subject: [vwrap] #10: JSON serialization of binary values

From: "vwrap issue tracker" <[email-masked]>
Date: Wed, 31 Mar 2010 21:45:32 -0000

#10: JSON serialization of binary values
--------------------------------+-------------------------------------------
Reporter:  markl@…              |       Owner:  markl@…            
    Type:  defect               |      Status:  new                
Priority:  major                |   Milestone:                     
 Version:                       |    Severity:  -                  
Keywords:  TypeSystem           |  
--------------------------------+-------------------------------------------
 The JSON serialization of binary values is in the spec as an array of
 integers. There was some discussion that this is undesirable, and that
 serialization binary values as base64 encoded strings would be preferable.
 JSON has no attributes, so this would act like a default conversion
 between binary and string values, which currently isn't supported.

-- 
Ticket URL: <http://trac.tools.ietf.org/wg/vwrap/trac/ticket/10>
vwrap <http://tools.ietf.org/vwrap/>